#### D.15.4.26 difformListCont

Procedure from library `difform.lib` (see difform_lib).

Usage:
  difformListCont(L,df); L list, df difform

Return:
  1, if df is in the list L - 0, otherwise

Note:
  lists with arbitrary input are allowed

Example:

    LIB "difform.lib";
    ring R = 17,(a,b,c),lp;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDa, dDb, dDc, da, db, dc are available.
    list L = "",3,12*a,da-db,16 + dc, 23*da - 4*db*dc*da, db - 4, "entry", dc - db*da, a;
    //////////////////////////
    // Elements in the list //
    //////////////////////////
    difformListCont(L,da - db);
    ==> 1
    difformListCont(L,16 + dc);
    ==> 1
    difformListCont(L,dc - db*da);
    ==> 1
    //////////////////////////////
    // Elements not in the list //
    //////////////////////////////
    difformListCont(L,22*da);
    ==> 0
    difformListCont(L,1);
    ==> 0
    difformListCont(L,a);
    ==> 0
    kill Omega_R,L,da,db,dc;

See also: difformEqu.

User manual for Singular version 4.4.1, 2025, generated by texi2html.